## ros-noetic-rm-controllers 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(rm_controllers)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-rm-controllers (0.1.7-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.6-1buster) buster; urgency=high

  * Merge pull request #76 <https://github.com/rm-controls/rm_controllers/issues/76> from Edwinlinks/tof-radar-controller
    Finished tof radar controller and delete tof sensor controller
  * Change exec depend tof_sensor_controller to tof_radar_controller
  * Merge remote-tracking branch 'origin/master'
  * Contributors: Edwinlinks, QiayuanLiao, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.5-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #60 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/60> from ye-luo-xi-tui/master
    Add subpackage to metapackage's package.xml
  * Merge branch 'orientation_controller'
  * Add all subpackages to metapackage.
  * Merge branch 'master' into gimbal_track
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.3-1buster) buster; urgency=high

  * Deprecated imu_filter_controller(Since the update frequency of the control loop is not stable, some of
    the camera trigger signals of imu will be lost. We put the imu filter down to the hardware resource layer, so
    imu_extra_handle is breaking. )
  * Contributors: qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.2-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.1-1buster) buster; urgency=high

  * Set all version to the same
  * Add license to robot_state_controller source files
  * Add rm_controllers
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-gpio-controller, ros-noetic-mimic-joint-controller, ros-noetic-rm-calibration-controllers, ros-noetic-rm-chassis-controllers, ros-noetic-rm-gimbal-controllers, ros-noetic-rm-orientation-controller, ros-noetic-rm-shooter-controllers, ros-noetic-robot-state-controller, ros-noetic-tof-radar-controller
Description: Meta package that contains package for RoboMaster.

## ros-noetic-rm-controllers 0.1.10

=== debian/changelog ===
ros-noetic-rm-controllers (0.1.10-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-controllers (0.1.9-1focal) focal; urgency=high

  * Merge branch 'master' into balance_standard
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Contributors: ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-controllers (0.1.8-1focal) focal; urgency=high

  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.7-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.6-1focal) focal; urgency=high

  * Merge pull request #76 <https://github.com/rm-controls/rm_controllers/issues/76> from Edwinlinks/tof-radar-controller
    Finished tof radar controller and delete tof sensor controller
  * Change exec depend tof_sensor_controller to tof_radar_controller
  * Merge remote-tracking branch 'origin/master'
  * Contributors: Edwinlinks, QiayuanLiao, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.5-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #60 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/60> from ye-luo-xi-tui/master
    Add subpackage to metapackage's package.xml
  * Merge branch 'orientation_controller'
  * Add all subpackages to metapackage.
  * Merge branch 'master' into gimbal_track
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.3-1focal) focal; urgency=high

  * Deprecated imu_filter_controller(Since the update frequency of the control loop is not stable, some of
    the camera trigger signals of imu will be lost. We put the imu filter down to the hardware resource layer, so
    imu_extra_handle is breaking. )
  * Contributors: qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.2-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

ros-noetic-rm-controllers (0.1.1-1focal) focal; urgency=high

  * Set all version to the same
  * Add license to robot_state_controller source files
  * Add rm_controllers
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-controllers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
